import org.omg.CosNaming.*;
import org.omg.CORBA.*;

public class HelloClient 
{
    public static void main(String args[])
    {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);

            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);
            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Hello", "");
            NameComponent path[] = {nc};
            org.omg.CORBA.Object cobj = ncRef.resolve(path);

            org.omg.CORBA.Request r = cobj._request("printHelloArgs");
	        r.set_return_type(orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
            org.omg.CORBA.Any _arg1 = r.add_in_arg();
            _arg1.insert_string("Param string 1");
            org.omg.CORBA.Any _arg2 = r.add_in_arg();
            _arg2.insert_string("This is the second param");
            r.invoke();
            String __result = r.return_value().extract_string();

            System.out.println(__result);

        } catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}
